/// Marker trait, because certain operations only make sense on floating point types.
pub trait Float {}

impl Float for f32 {}

impl Float for f64 {}

#[cfg(test)]
mod tests {
    use crate::Float;

    fn is_float<T: Float>() -> bool {
        true
    }

    #[test]
    fn f32_is_a_float() {
        assert!(is_float::<f64>());
    }

    #[test]
    fn f64_is_a_float() {
        assert!(is_float::<f64>());
    }
}
